function onBegin ()
    disablePause()
    disableMovement()
    waitUntilOnGround ()
    walkTo(661, false, 0.2)
    walk(2)
    setFlag("b", true)
    walk(3)
    setFlag("b", false)
    wait(117)
    setFlag("f", true)
    enableMovement()
    enablePause()
end

function onEnd()
    enableMovement()
    enablePause()
end